Bug 12407 - Scripts in /etc/ctdb do not calculate CTDB_BASE correctly
Scripts in /etc/ctdb do not calculate CTDB_BASE correctly
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.5.1
All All
: P5 regression
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-03 04:56 UTC by Amitay Isaacs
Modified: 2016-11-07 07:53 UTC (History)
3 users (show)

See Also:


Attachments
Patches for v4-5 (2.46 KB, patch)
2016-11-03 13:35 UTC, Amitay Isaacs
martins: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Amitay Isaacs 2016-11-03 04:56:30 UTC
# sh -x /etc/ctdb/debug-hung-script.sh 
+ '[' -n '' ']'
+++ dirname /etc/ctdb/debug-hung-script.sh
++ d=/etc/ctdb
++ cd -P /etc/ctdb
++ dirname /etc/ctdb
+ CTDB_BASE=/etc
+ . /etc/functions
/etc/ctdb/debug-hung-script.sh: line 9: /etc/functions: No such file or directory
Comment 1 Amitay Isaacs 2016-11-03 13:35:49 UTC
Created attachment 12630 [details]
Patches for v4-5
Comment 2 Martin Schwenke 2016-11-03 23:57:35 UTC
Hi Karolin,

This is ready for 4.5.

Thanks...
Comment 3 Karolin Seeger 2016-11-04 10:47:08 UTC
(In reply to Martin Schwenke from comment #2)
Pushed to autobuild-v4-5-test.
Comment 4 Karolin Seeger 2016-11-07 07:53:39 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to v4-5-test.
Closing out bug report.

Thanks!